#include "../../../lib/std.mi"

Function movefadeGroup(Group G, int TargetX, int TargetY, int TargetA, float Speed);
Function fadeGroup(Group G, int TargetA, float Speed);
Function fadeLayer(Layer L, int TargetA, float Speed);
Function movefadeLayer(Layer L, float TargetX, float TargetY, int TargetA, Float Speed);

Global 	Group	grpMain, grpPlayer, grpPlay, grpPanel, grpCBtn, grpEQ, grpPL, grpML, grpVD, grpVolume, grpMinclose;
Global	Group	grpEqualizer, grpEQBand, grpEQOn, grpEQback, grpEQBtn;
Global	Layer	lyrChara, lyrPanel1, lyrPanel2, lyrPanel3, lyrEQBG;

Global	ToggleButton tglEQ, tglBack;

Global	Timer	tmrSwitch, tmrBack;

Global	Int		intFeito;

System.onScriptLoaded(){
	grpMain			= getScriptGroup();
	grpPlayer		= grpMain.findObject("Player.Group");
	grpEqualizer	= grpMain.findObject("Equalizer.Group");
	grpMinclose		= grpMain.findObject("Player.Button.MinClose.Group");
	
	grpPlay			= grpPlayer.findObject("Player.Button.Playpause.Group");
	grpPanel		= grpPlayer.findObject("Player.Panel.Group");
	grpCBtn			= grpPlayer.findObject("Player.Button.Control.Group");
	grpEQ			= grpPlayer.findObject("Player.Button.EQ.Group");
	grpPL			= grpPlayer.findObject("Player.Button.PL.Group");
	grpML			= grpPlayer.findObject("Player.Button.ML.Group");
	grpVD			= grpPlayer.findObject("Player.Button.VD.Group");
	grpVolume		= grpPlayer.findObject("Player.Volume.Group");
	
	grpEQBand		= grpEqualizer.findObject("Equalizer.Band.Group");
	grpEQOn			= grpEqualizer.findObject("EQ.eqbtn");
	grpEQback		= grpEqualizer.findObject("EQ.backbtn");
	grpEQBtn		= grpEqualizer.findObject("Equalizer.Buttons");
	
	lyrChara		= grpMain.findObject("player.chara");
	
	lyrEQBG			= grpEqualizer.findObject("eq.bg");
	
	lyrPanel1		= grpPlayer.findObject("player.panel1");
	lyrPanel2		= grpPlayer.findObject("player.panel2");
	lyrPanel3		= grpPlayer.findObject("player.panel3");
	
	tglEQ			= grpEQ.findObject("eq");
	tglBack			= grpEQback.findObject("back");
	grpEqualizer.hide();
	
	tmrSwitch = new Timer;
	tmrSwitch.setDelay(300);
	tmrBack = new Timer;
	tmrBack.setDelay(100);
}

System.onScriptUnloading() {
	delete tmrSwitch;
	delete tmrBack;
}

tglEQ.onToggle(boolean on){
	tmrSwitch.start();
	fadeGroup(grpPlay, 0, 0.5);
	fadeGroup(grpPanel, 0, 0.5);
	fadeGroup(grpCBtn, 0, 0.5);
	
}

tmrSwitch.onTimer(){
	if (intFeito==0){
		fadeLayer(lyrPanel1, 0, 0.5);
		fadeLayer(lyrPanel2, 0, 0.5);
		movefadeLayer(lyrPanel3, 214, 270, 0, 0.5);
		tmrSwitch.setDelay(100);
	}
	else if (intFeito==1){
		fadeGroup(grpVD, 0, 0.5);
	}
	else if (intFeito==2){
		fadeGroup(grpML, 0, 0.5);
	}
	else if (intFeito==3){
		fadeGroup(grpPL, 0, 0.5);
	}
	else if (intFeito==4){
		fadeGroup(grpEQ, 0, 0.5);
	}
	else if (intFeito==5){
		fadeGroup(grpVolume, 0, 0.5);
	}
	else if (intFeito==6){
		grpEqualizer.show();
		fadeLayer(lyrEQBG, 255, 0.5);
	}
	else if (intFeito==7){
		fadeGroup(grpEQBand, 255, 0.5);
	}
	else if (intFeito==8){
		fadeGroup(grpEQBtn, 255, 0.5);
	}
	else if (intFeito==9){
		fadeGroup(grpEQback, 255, 0.5);
	}
	else if (intFeito==10){
		fadeGroup(grpEQOn, 255, 0.5);
	}
	
	intFeito++;
	if(intFeito == 11){
		tmrSwitch.setDelay(300);
		tmrSwitch.stop();
		intFeito = 0;
		grpPlayer.hide();
	}
}

tglBack.onToggle(boolean on){
	tmrBack.start();
	fadeGroup(grpEQOn, 0, 0.5);
}

tmrBack.onTimer(){
	if (intFeito==0){
		fadeGroup(grpEQback, 0, 0.5);
	}
	else if (intFeito==1){
		fadeGroup(grpEQBtn, 0, 0.5);
	}
	else if (intFeito==2){
		fadeGroup(grpEQBand, 0, 0.5);
	}
	else if (intFeito==3){
		fadeLayer(lyrEQBG, 0, 0.5);
		tmrBack.setDelay(300);
	}
	else if (intFeito==4){
		grpPlayer.show();
		fadeLayer(lyrPanel1, 220, 0.5);
		fadeLayer(lyrPanel2, 255, 0.5);
	}
	else if (intFeito==5){
		movefadeLayer(lyrPanel3, 194, 270, 220, 0.5);
	}
	else if (intFeito==6){
		fadeGroup(grpPlay, 255, 0.5);
		fadeGroup(grpPanel, 255, 0.5);
		tmrBack.setDelay(100);
	}
	else if (intFeito==7){
		fadeGroup(grpCBtn, 255, 0.5);
		fadeGroup(grpVD, 255, 0.5);
	}
	else if (intFeito==8){
		fadeGroup(grpML, 255, 0.5);
	}
	else if (intFeito==9){
		fadeGroup(grpPL, 255, 0.5);
	}
	else if (intFeito==10){
		fadeGroup(grpEQ, 255, 0.5);
	}
	else if (intFeito==11){
		fadeGroup(grpVolume, 255, 0.5);
	}
	
	intFeito++;
	if(intFeito == 12){
		tmrBack.setDelay(100);
		tmrBack.stop();
		intFeito = 0;
		grpEqualizer.hide();
	}
}

fadeGroup(Group G, int TargetA, float Speed){
	G.setTargetA(TargetA);
	G.setTargetSpeed(Speed);
	G.gototarget();
}

movefadeGroup(Group G, int TargetX, int TargetY, int TargetA, float Speed){
	G.setTargetX(TargetX);
	G.setTargetY(TargetY);
	G.setTargetA(TargetA);
	G.setTargetSpeed(Speed);
	G.gototarget();
}

fadeLayer(Layer L, int TargetA, float Speed){
	L.setTargetA(TargetA);
	L.setTargetSpeed(Speed);
	L.gototarget();
}

movefadeLayer(Layer L, float TargetX, float TargetY, int TargetA, Float Speed){
	L.setTargetX(TargetX);
	L.setTargetY(TargetY);
	L.setTargetA(TargetA);
	L.setTargetSpeed(Speed);
	L.gototarget();
}